Core - Bug # 65239

Status: Resolved Priority: Must have
Author: Markus Klein Category: Backend API
Created: 2015-02-23 Assigned To: Markus Klein
Updated: 2015-02-23 Due date:

TYPO3 Version: 7

PHP Version:

Complexity: no-brainer

Is Regression: Yes

Sprint Focus:

Subject: Missing (string) cast or isset() check in HTMLparser

Description

#54091 introduced a regression with a missing (string) cast or isset() check.

If fixAttrib.set is not set, it is |== " and therefore overwrites every value.

Related issues:

related to Core - Task # 54091: Use === operator instead of strlen() to check... Resolved 2013-11-29

Associated revisions

Revision 6bfed613 - 2015-02-23 16:48 - Markus Klein

[BUGFIX] Add missing isset() check in HTMLParser

This is a regression fix for #54091.
It has been forgotten to add an isset() check for 'fixAttrib.set'.

Releases: master

Resolves: #65239

Change-Id: 1a39ef0760dab61bdb5bbfb71e525cc96e15f3077
Reviewed-on: http://review.typo3.org/37115

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Andreas Fernandez <andreas.fernandez@aspedia.de>

Tested-by: Andreas Fernandez <andreas.fernandez@aspedia.de>

History

#1 - 2015-02-23 16:24 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/37115

#2 - 2015-02-23 17:00 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:6bfed6130f1cb8ede8f8174c3b4543b3606f782¢.
